%define upstream_name    Hash-MultiValue
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Store multiple values per key
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
Hash::MultiValue is an object (and a plain hash reference) that may contain
multiple values per key, inspired by MultiDict of WebOb.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.160.0-7.mga10
+ Revision: 2199364
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.160.0-6.mga9
+ Revision: 1803920
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-5.mga8
+ Revision: 1494824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1268461
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1028199
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 967224
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 848526
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 748237
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 733058
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 685029
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.150.0-2.mga4
+ Revision: 527043
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.150.0-1.mga4
+ Revision: 439413
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 315099
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 212963
- update to 0.12

* Mon Sep 26 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 148099
- update to 0.10

* Mon Jun 20 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 110556
- imported package perl-Hash-MultiValue


* Mon Jun 20 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
